#ifndef _VIEWSHED_H_
#define _VIEWSHED_H_

#include <ezgdal.h>

double **create_dist(int size, double scale);
int **create_mask(int size, double **distance, double radius);
void init_mask(int **mask, int size);
void set_all_visible_mask(int **mask, int size, double **distance, double radius);
void calc_visibility_mask(EZGDAL_FRAME *height, double **distance, int **visible, double height0, double scaleH, double radius, int size);
void free_array(void **arr, int size);

#endif
